QScintilla: QsciLexerSpice Class Reference

# QsciLexerSpice Class Reference

The QsciLexerSpice class encapsulates the Scintilla Spice lexer. More...

`#include <qscilexerspice.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Identifier = 1, Command = 2,
  Function = 3, Parameter = 4, Number = 5,
  Delimiter = 6, Value = 7, Comment = 8
  }

## Public Member Functions

- QsciLexerSpice (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerSpice ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * keywords (int set) const
- QColor defaultColor (int style) const
- QFont defaultFont (int style) const
- QString description (int style) const

## Detailed Description

The QsciLexerSpice class encapsulates the Scintilla Spice lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Spice lexer.

Enumerator:

  Default | The default.
  Identifier | An identifier.
  Command | A command.
  Function | A function.
  Parameter | A parameter.
  Number | A number.
  Delimiter | A delimiter.
  Value | A value.
  Comment | A comment.

## Constructor & Destructor Documentation

QsciLexerSpice::QsciLexerSpice | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciLexerSpice with parent parent and name name. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerSpice::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

const char* QsciLexerSpice::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QColor QsciLexerSpice::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QString QsciLexerSpice::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.